9 Replies Latest reply on Dec 4, 2008 6:29 AM by (John_Verne)

    Setting the plugin version for the Plug-in Manager view

    Level 1
      I'm guessing this must be easy, but what property do you have to set to get a plug-in version to show up in the plug-in manager "Status" panel?

      The example plugins all define a VERSION table, but I don't see anywhere how to use it. Even the examples in the SDK docs that talk about customizing the Plugin-in Manager window don't mention this, and the example screen caps are shown with an empty Version row.

      Am I missing something obvious?
        • 1. Re: Setting the plugin version for the Plug-in Manager view
          john beardsworth Adobe Community Professional & MVP
          In Info.lua:

          VERSION = { major=3, minor=0, revision=7, build=1, },

          Jon
          • 2. Re: Setting the plugin version for the Plug-in Manager view
            Level 1
            Like I said, this property is set in every example plugin. It is not documented, and appears to do nothing.
            • 3. Re: Setting the plugin version for the Plug-in Manager view
              Level 1
              As LR matures and you revise versions of the plugins, this will disallow the plugin being used in earlier versions of LR and vice versa, AFAIK.

              Don
              • 4. Re: Setting the plugin version for the Plug-in Manager view
                Level 1
                Don,

                Was this a reply to my query? If so, I'm not sure you understand.

                I am talking about a simple version string for the plug-in, not the version of Lr or the version of the SDK. Those are handled via properties and are documented clearly. These control /how/ your plug-in is accepted by current and future releases of Lr, and further affect which SDK features are available to your plug-in.

                Look at any plug-in in the Plug-in Manager. There is a "Status" section there that can display optional info about your plug-in. For my plug-in, and in the SDK documentation screen caps (see p.177 of the SDK docs) there is a "Version:" row, but there is no version number following it.

                The SDK examples use a VERSION table, but this is seems to do nothing for me, and is not documented at all.
                • 5. Re: Setting the plugin version for the Plug-in Manager view
                  Level 1
                  I stand by what I said which is in response ot your query. You set here for your plugin to what version of LR, ie, newest it applies to, if it only works with newer versions. I don't do plugins, but I use them.

                  Don
                  • 6. Re: Setting the plugin version for the Plug-in Manager view
                    Level 1
                    My first sentence is pretty clear about what I'm having trouble with, and I never mentioned the version of Lightroom as it applies to plug-ins.

                    Thanks, but this is not what this query is about. This is a question about the SDK and how plug-ins provide their arbitrary versions to the Plug-in Manager for display. This is unrelated to the notion of what versions of Lightroom a particular plug-in supports.

                    But you may be able to assist me, anyway. Open up the Plug-in Manager in Lightroom and select any plug-in. In the "Status" section of the right-hand pane is there a section that says "Version:"? Does it have a version number next to it?

                    If so, please let me know the name of the plug-in. If it is uncompiled I might be able to extract the technique from that. All the plug-ins I have show no Version at all in the Status of the Plug-in Manger, as does my own plug-in I'm developing.

                    Again, I'm referring to the Plug-in Manager in Lightroom, and the arbitrary version that each plug-in developer can apply to the plugin (which is unrelated to the version of Lr or the version of the SDK).
                    • 7. Re: Setting the plugin version for the Plug-in Manager view
                      ssprengel Adobe Community Professional & MVP
                      I am .NET developer that has never delved into LR plug-ins, but according to a message back in August:

                      http://www.adobeforums.com/webx/.59b6375d/0

                      There is a display='whateveryouwant' you can add to VERSION:

                      VERSION = { display='1.0.0', major=1, minor=0, revision=0, build=1, },

                      So presumably this is what displays in the Status box, but I'm not sure.

                      I believe another way to ask your original question is now that I've defined the VERSION table in the Info.lua script, how do I refer to it in other scripts and how might I use it to update my plug-in automatically?
                      • 8. Re: Setting the plugin version for the Plug-in Manager view
                        john beardsworth Adobe Community Professional & MVP
                        I see a version in the plug-in manager dialog, but I don't see any code in my other lua files which makes it do so.

                        As for automatic updates, I know that updating a version of a custom field triggers an update, so I'm going to guess it works the same way here too.

                        John
                        • 9. Re: Setting the plugin version for the Plug-in Manager view
                          Level 1
                          Steve Sprengel has it.

                          The sample plug-ins are all incorrect. The undocumented VERSION table takes only a single "display" property. All of the "major" and "minor" stuff in the shipped examples won't work.

                          Unfortunately, you really want to set this to /something/, otherwise you end up with a bare Version: row in the interface.

                          I did do a search here first, but I guess I missed this one, or restricted my search to the SDK forum.